Obuffer

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javazoom.jl.decoder
Class Obuffer

    java.lang.Object
      javazoom.jl.decoder.Obuffer

Direct Known Subclasses:
  SampleBuffer, WaveFileObuffer

public abstract class Obuffer
extends java.lang.Object

Base Class for audio output.

Field Summary
`static int` | `MAXCHANNELS`
`static int` | `OBUFFERSIZE`

Constructor Summary
`Obuffer()`

Method Summary
`abstract void` | `append(int channel, short value)` Takes a 16 Bit PCM sample.
`void` | `appendSamples(int channel, float[] f)` Accepts 32 new PCM samples.
`abstract void` | `clear_buffer()` Clears all data in the buffer (for seeking).
`abstract void` | `close()`
`abstract void` | `set_stop_flag()` Notify the buffer that the user has stopped the stream.
`abstract void` | `write_buffer(int val)` Write the samples to the file or directly to the audio hardware.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OBUFFERSIZE

    public static final int OBUFFERSIZE

See Also:
  Constant Field Values

### MAXCHANNELS

    public static final int MAXCHANNELS

See Also:
  Constant Field Values

Constructor Detail

### Obuffer

    public Obuffer()

Method Detail

### append

    public abstract void append(int channel,
                                short value)

  Takes a 16 Bit PCM sample.

### appendSamples

    public void appendSamples(int channel,
                              float[] f)

  Accepts 32 new PCM samples.

### write_buffer

    public abstract void write_buffer(int val)

  Write the samples to the file or directly to the audio hardware.

### close

    public abstract void close()

### clear_buffer

    public abstract void clear_buffer()

  Clears all data in the buffer (for seeking).

### set_stop_flag

    public abstract void set_stop_flag()

  Notify the buffer that the user has stopped the stream.

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

JavaZOOM 1999-2005